For the complete documentation index, see llms.txt. This page is also available as Markdown.

Statistics

Statistics

Stats API

get
Query parameters
typestringOptional

The type of stat to return. Layout|Media|Widget

fromDtstringOptional

The start date for the filter. Default = 24 hours ago

toDtstringOptional

The end date for the filter. Default = now.

statDatestringOptional

The statDate filter returns records that are greater than or equal a particular date

statIdstringOptional

The statId filter returns records that are greater than a particular statId

displayIdintegerOptional

An optional display Id to filter

displayIdsinteger[]Optional

An optional array of display Id to filter

layoutIdinteger[]Optional

An optional array of layout Id to filter

parentCampaignIdintegerOptional

An optional Parent Campaign ID to filter

mediaIdinteger[]Optional

An optional array of media Id to filter

campaignIdintegerOptional

An optional Campaign Id to filter

returnDisplayLocalTimebooleanOptional

true/1/On if the results should be in display local time, otherwise CMS time

returnDateFormatstringOptional

A PHP formatted date format for how the dates in this call should be returned.

embedstringOptional

Should the return embed additional data, options are layoutTags,displayTags and mediaTags

Responses
200

successful operation

application/json
typestringOptional

Class Stats

displaystringOptional
displayIdintegerOptional
layoutstringOptional
layoutIdintegerOptional
mediastringOptional
mediaIdintegerOptional
widgetIdintegerOptional
scheduleIdintegerOptional
numberPlaysintegerOptional
durationintegerOptional
startstringOptional
endstringOptional
statDatestringOptional
tagstringOptional
get/stats
GET /api/stats HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "type": "text",
    "display": "text",
    "displayId": 1,
    "layout": "text",
    "layoutId": 1,
    "media": "text",
    "mediaId": 1,
    "widgetId": 1,
    "scheduleId": 1,
    "numberPlays": 1,
    "duration": 1,
    "start": "text",
    "end": "text",
    "statDate": "text",
    "tag": "text"
  }
]
get
Query parameters
fromDtstringRequired

The start date for the filter.

toDtstringRequired

The end date for the filter.

displayIdintegerOptional

An optional display Id to filter

displayIdsinteger[]Optional

An optional array of display Id to filter

returnDisplayLocalTimebooleanOptional

true/1/On if the results should be in display local time, otherwise CMS time

returnDateFormatstringOptional

A PHP formatted date format for how the dates in this call should be returned.

Responses
200

successful operation

application/json
displaystringOptional
displayIdintegerOptional
durationintegerOptional
startstringOptional
endstringOptional
isFinishedbooleanOptional
get/stats/timeDisconnected
GET /api/stats/timeDisconnected?fromDt=text&toDt=text HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "display": "text",
    "displayId": 1,
    "duration": 1,
    "start": "text",
    "end": "text",
    "isFinished": true
  }
]

Last updated

Was this helpful?